Bug 426904 - IPv6 TAHI RH0 RFC5095 update
IPv6 TAHI RH0 RFC5095 update
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.1
All Linux
high Severity low
: rc
: ---
Assigned To: Thomas Graf
Martin Jenner
:
Depends On: TAHI-Tracker
Blocks: 253764
  Show dependency treegraph
 
Reported: 2007-12-28 04:23 EST by Subhendu Ghosh
Modified: 2016-10-04 00:28 EDT (History)
10 users (show)

See Also:
Fixed In Version: RHBA-2008-0314
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:05:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Subhendu Ghosh 2007-12-28 04:23:09 EST
we need patch that implements the RFC 5095 behavior and returns an ICMP
Parameter Problem

**** RFC 5095
3.  Deprecation of RH0

   An IPv6 node that receives a packet with a destination address
   assigned to it and that contains an RH0 extension header MUST NOT
   execute the algorithm specified in the latter part of Section 4.4 of
   [RFC2460] for RH0.  Instead, such packets MUST be processed according
   to the behaviour specified in Section 4.4 of [RFC2460] for a datagram
   that includes an unrecognised Routing Type value, namely:

      If Segments Left is zero, the node must ignore the Routing header
      and proceed to process the next header in the packet, whose type
      is identified by the Next Header field in the Routing header.

      If Segments Left is non-zero, the node must discard the packet and
      send an ICMP Parameter Problem, Code 0, message to the packet's
      Source Address, pointing to the unrecognized Routing Type.

   IPv6 implementations are no longer required to implement RH0 in any
   way.
****

In particular there are 3 tests in the proposed update to the TAHI test suite
that send Routing Header Type 33 and Type 0 packets and expect to see a ICMP
reply or a parameter problem if RFC 5095 is supported.

These are tests 39, 40 and 42 in Test Suite 1.5.0-b2
http://athlon4.lab.boston.redhat.com/RHEL5.1/Self_Test_1-5-0b2/spec.p2/index.html
Comment 4 RHEL Product and Program Management 2008-01-18 10:47:14 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 Don Zickus 2008-01-22 13:52:01 EST
in 2.6.18-72.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 8 errata-xmlrpc 2008-05-21 11:05:27 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0314.html

Note You need to log in before you can comment on or make changes to this bug.